package com.mycompany.app;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * Unit test for simple App.
 */
public class JuegoTest
    extends TestCase
{

    public JuegoTest(String testName )
    {
        super( testName );
    }

    public static Test suite()
    {
        return new TestSuite( JuegoTest.class );
    }

    public void testApp()
    {
            Jugador jugador = new Jugador();
            jugador.setNombre("Jugador1");
            jugador.setSaldo(1000F);
            assertEquals("Jugador1", jugador.getNombre());
            assertEquals(1000F, jugador.getSaldo());

            Crupier crupier = new Crupier();
            crupier.setNombre("Crupier1");
            crupier.getBarajar();
            assertEquals("Crupier1", crupier.getNombre());
            assertEquals(52, crupier.getBaraja().getCartas().size());

            Baraja baraja = new Baraja();
            baraja.setCartas(crupier.getBaraja().getCartas());
            assertEquals(52, baraja.getCartas().size());

            Carta carta = new Carta();
            carta.setValor(1F);
            carta.setNumero(1F);
            carta.setFigura(false);
            assertEquals(1F, carta.getNumero());
            assertEquals(1F, carta.getValor());

            Mano mano = new Mano();
            mano.setCartas(baraja.getCartas());
            assertEquals(52, mano.getCartas().size());

            Resultado resultado = new Resultado();
            resultado.setJugador("Jugador1");
            resultado.setPuntuacion(21F);
            assertEquals("Jugador1", resultado.getJugador());
            assertEquals(21F, resultado.getPuntuacion());
    }

}
